#include "cdefs.h"
cint custwalk_globals = 0;
extern cint boolean_True;
extern cint boolean_False;
extern cint object_Undefined;
extern cptr scope_curr;
extern cint scope_global;
extern cptr scope_methods[meth_max];
extern cptr identifier_methods[meth_max];
cint custwalk_g1;

void import_custwalk(){
cint saved_curr;
cint t1, t2, t3, t4, t5, t6;
if (!custwalk_globals){
debug_set_module("custwalk");
saved_curr = scope_curr;scope_curr = mem_malloc(scope_methods[0]); scope_curr[0] = scope_methods;
scope_curr = scope_alloc(scope_curr, scope_global);
{
custwalk_g1=(t1 = (t3 = mem_malloc(identifier_methods[0]), ((cptr)t3)[0] = identifier_methods, t3), t2 = ((cptr)(((cptr)t1)[0]))[3], ((f0)t2)((cint)t1, (cint)"nothing"));
};
{
{
(t4 = (t6 = custwalk_g1, ((cptr)t6)[1] += 1, t6), t5 = ((cptr)(((cptr)t4)[0]))[43], ((f0)t5)((cint)t4));
};
debug_set_line_num_and_col((cint)2, (cint)1);
};
custwalk_globals = scope_curr;
scope_curr = saved_curr;
};
scope_import_exports(scope_curr, custwalk_globals);
}

